enhance {EBImage} | R Documentation

## Enhancing images and colors

### Description

Functions to enhance and modify colors in images.

### Usage

      ## S4 method for signature 'Image':
      cgamma(x, level=1, ...)
      ## S4 method for signature 'Image':
      contrast(x, sharpen=TRUE, ...)
      ## S4 method for signature 'Image':
      enhance(x, ...)
      ## S4 method for signature 'Image':
      equalize(x, ...)
      ## S4 method for signature 'Image':
      modulate(x, value=100, ...)

### Arguments

`x` | An object of `Image`.
`level` | A numeric for the gamma level.
`sharpen` | A logical specifying whether the contrast should be increased (`TRUE`) or decreased (`FALSE`).
`value` | A percent change in brightness, saturation, and hue. The default value to keep the values unchanged.
`...` | Reserved.

### Details

`cgamma` gamma-corrects image. The same image viewed on different devices will have perceptual differences in the way the image's intensities are represented on the screen. Adjust all three channels with the level parameter. Values typically range from 0.8 to 2.3.

`contrast` enhances the intensity differences between the lighter and darker elements of the image.

`enhance` applies a digital filter that improves the quality of a noisy image.

`equalize` applies a histogram equalization to the image.

`modulate` lets you control the brightness, saturation, and hue of an image. Modulate represents the brightness, saturation, and hue as one parameter.

### Value

A transformed image in an object of `Image`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### References

ImageMagick: http://www.imagemagick.org.

### See Also

`Image`

[Package EBImage version 2.6.0 Index]